curl --request POST \
--url https://scheduler.dashsocial.com/linkedin/scheduled_posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brand_id": 1,
"auto_publish": true,
"text": "<string>",
"media_ids": [
1
],
"timestamp": "2023-11-07T05:31:56Z",
"alt_text_media_map": {},
"approval_requests": [
{
"requested_by_user_id": 123,
"review_user_id": 123
}
],
"board_ids": [
1
],
"campaign_ids": [
1
],
"content_tag_ids": [
1
],
"creation_source": "RSS_FEED",
"duplicate_to_brand_ids": [
1
],
"post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sort_index": 123,
"subtitle_content": "<string>",
"subtitle_metadata": {
"filename": "<string>"
}
}
'import requests
url = "https://scheduler.dashsocial.com/linkedin/scheduled_posts"
payload = {
"brand_id": 1,
"auto_publish": True,
"text": "<string>",
"media_ids": [1],
"timestamp": "2023-11-07T05:31:56Z",
"alt_text_media_map": {},
"approval_requests": [
{
"requested_by_user_id": 123,
"review_user_id": 123
}
],
"board_ids": [1],
"campaign_ids": [1],
"content_tag_ids": [1],
"creation_source": "RSS_FEED",
"duplicate_to_brand_ids": [1],
"post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sort_index": 123,
"subtitle_content": "<string>",
"subtitle_metadata": { "filename": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brand_id: 1,
auto_publish: true,
text: '<string>',
media_ids: [1],
timestamp: '2023-11-07T05:31:56Z',
alt_text_media_map: {},
approval_requests: [{requested_by_user_id: 123, review_user_id: 123}],
board_ids: [1],
campaign_ids: [1],
content_tag_ids: [1],
creation_source: 'RSS_FEED',
duplicate_to_brand_ids: [1],
post_group_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sort_index: 123,
subtitle_content: '<string>',
subtitle_metadata: {filename: '<string>'}
})
};
fetch('https://scheduler.dashsocial.com/linkedin/scheduled_posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}Create a LinkedIn post Create a new LinkedIn post.
LinkedIn-specific fields
| Parameter | Description |
|---|---|
text | Post caption text |
Publishing modes
| Mode | status | auto_publish | timestamp |
|---|---|---|---|
| Publish immediately | AUTOPUBLISHING | true | Not required |
| Schedule for later | SCHEDULED | true | Required |
| Save as draft | DRAFT | true or false | Optional |
Example request
{
"auto_publish": true,
"brand_id": 144,
"status": "SCHEDULED",
"text": "We're excited to share our newest launch.",
"media_ids": [621242772],
"timestamp": "2026-03-10T15:00:00Z"
}
Notes
auto_publish: falseis not supported. Always setauto_publish: true.- Caption-only posts (no media) are supported.
- Image posts support up to 20 images. Video posts support 1 video only. Images and videos cannot be mixed.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The id of the brand to which the post belongs.
x >= 0Whether the post should be auto published.
The current status of the post.
AUTOPUBLISHING, DRAFT, EXPIRED, FAILED, IMPORTED, MISSING_APPROVALS, PARTIALLY_FAILED, POSTED, SCHEDULED, SKIPPED, USERS_NOTIFIED Text content of the LinkedIn post referred to as "commentary" in LinkedIn docs
3000The list of the media ids attached to the post.
x >= 0The scheduled date & time for publishing the post.
Mapping for the alt text of media in the post
The approval policy of the approval request
APPROVAL_REQUIRED, APPROVAL_NOT_REQUIRED The list of approval requests associated with the post.
Show child attributes
Show child attributes
The list of the board ids associated with the post.
x >= 0The list of the campaign ids associated with the post.
x >= 0The list of the content tag ids associated with the post.
x >= 0To identify the user or the application that created the post.
RSS_FEED The list of duplicate to brand ids.
55x >= 0The id of the post group associated with the post.
The sorted index for unscheduled posts.
Raw SRT subtitle file content as text
Subtitle metadata including language code and filename
Show child attributes
Show child attributes